#!/usr/bin/env python
# -*- coding: UTF-8 -*-
import os
import report

__BASEPATH__ = os.path.abspath(os.path.dirname(__file__))

MQTT_USER = "user"
MQTT_PASS = "pass"
MQTT_SERVER = "host"

EXEC_LIST = {
    'topic_1': {
        'key': 'key',                   # Give a key or None to compare plain DATA
        'data': 'data',                 # Give data to compare or None if no comparison is needed
        'command': 'echo 123'
    },
    'topic_2': {
        'key': None,                    # Give a key or None to compare plain DATA
        'data': 'data',                 # Give data to compare or None if no comparison is needed
        'command': 'echo 321'
    }
}

#
# Logging
#
APP_NAME = "exec_command"
LOGTARGET = 'stdout'   # possible choices are: 'logfile' or 'stdout'
LOGLVL = 'DEBUG'

LOGHOST = 'cutelog'
LOGPORT = 19996

formatter = report.SHORT_FMT
